# FreeBSD specific checks

# Number of port vulnerabilities (need to have portaudit(1) installed)
UserParameter=portaudit.problems,portaudit |grep 'problem(s)'|cut -f1 -d" "

# Disk statistics - iostat(8):
#           The extended iostat device display, with the -x flag specified,
#           shows the following statistics:
#
#           r/s     read operations per second
#           w/s     write operations per second
#           kr/s    kilobytes read per second
#           kw/s    kilobytes write per second
#           wait    transactions queue length
#           svc_t   average duration of transactions, in milliseconds
#           %b      % of time the device had one or more outstanding transac-
#                   tions
# E.g. iostat[ad10,4], parameter $2 starts from 2 (first is the disk identifier)
UserParameter=iostat[*],iostat -x $1|tail -1|tr -s ' '|cut -d' ' -f $2

